
.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
}


footer {
    font-family: 'Source Sans Pro', sans-serif;
    color: #002147;
    font-size: 14px;
    line-height: 1.5;
    background-color: #ffffff;
    text-align: center;
}

@media (min-width: 768px) {
    footer {
        text-align:left;
    }
}

.footer-content-container a, .footer-corporate-container a {
    color: inherit;
    text-decoration: underline;
    text-decoration-thickness: max(1px, 0.0625em);
    text-underline-offset: .2em;
    word-break: break-word;

    &:hover {
        text-decoration-thickness: max(2px, 0.125em);
        background-color: #e5e9ed;
    }

    &:focus {
        outline: 2px solid #002147;
        outline-offset: 1px;
    }



    &:not([href*=".idm.fr"])::after {
        content: "";
        display: inline-block;
        width: 0.75em;
        height: 0.75em;
        background-image: url(../images/footer/icon-external-link-24.svg);
        background-size: contain;
        margin-left: 0.25em;
    }
}


footer ul {
    padding-left: 0px;
    list-style: none;
    margin-bottom: 0px;
}

/* rows with border-top */
.footer-container {
    border-top: 1px solid #d9d9d9;}

/* max-width section of footer-container */
footer .container {
    width: 100%;
    margin: 15px auto;
}

@media (min-width: 768px) {
    footer .container {
      max-width: 750px;
    } 
}

@media (min-width: 992px) {
    footer .container {
      max-width: 970px;
    } 
}

@media (min-width: 1200px) {
    footer .container {
      max-width: 1170px; 
    }
}

/* footer-social-media-container ====================================== */

.facebook-logo {
    background-image: url("../images/footer/facebook.svg");
}

.twitter-logo {
    background-image: url("../images/footer/twitter.svg");
}

.wordpress-logo {
    background-image: url("../images/footer/wordpress.svg");
}

.instagram-logo {
    background-image: url("../images/footer/instagram.svg");
}

footer .footer-social-media-container {
    text-align: center;
    margin-block: 0;
}

footer .footer-social-media-container .row{
    justify-content: center;
}

.footer-social-media-container ul {
    display: grid;
    grid-auto-flow: column;
    justify-content: center;
    gap: 0;
}

.footer-social-media-container ul li a {
    content: "";
    display: block;
    height: 60px;
    width: calc((60px / 2) + 50px);
    background-size: 30px;
    background-repeat: no-repeat;
    background-position: center;
}

.footer-social-media-container ul li a:hover {
    background-color: #ededed;
}


/* content-container ====================================== */

.footer-content-container {
    display: grid;
    grid-template-columns: 1fr;
    gap: 24px;
    padding-inline: 15px;
}

@media (min-width: 768px) {
    .footer-content-container {
        grid-template-columns: repeat(3, 1fr);
    }
}


.footer-list-heading {
    font-weight: bold;
    font-size: 16px;
}



.footer-corporate-container {
        display: grid;
    grid-template-columns: 1fr;
    justify-items: center;
    align-items: center;
    gap: 16px;
        padding-inline: 15px;
}


@media (min-width: 768px) {
    .footer-corporate-container {
        grid-template-columns: 1fr auto;
    }
}

.footer-corporate-container ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 16px;
}
@media (min-width: 768px) {
    .footer-corporate-container ul {
          justify-content: flex-start;
    } 
}


.logo-footer {
    width: 162px;
}




footer select#headerVersion {
    vertical-align: text-bottom;
}




